<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">
    <style type="text/css">
    .old {
        background-color: #FC665D !important;
        background-image: none !important;
        color: #000000 !important;
    }
</style>

    <ui:define name="contentPart">

        <h:form id="registroDeudas"> 
            <h:outputText 
                value="Elementos ->  Pagos y Deudas -> Resumen" 
                style="font-weight: bold"/> 
                <p:dataTable
                    id="detalletbl"
                    value="#{pagosMB.detalle}"
                    var="registros"
                    paginator="true"
                    rows="20"
                    style="font-size: small"
                    emptyMessage="No se encontraron Registros"
                    paginatorPosition="bottom" >
                    <p:column
                        sortBy="#{registros.id}"
                        filterMatchMode="contains"
                        width="12%"
                        style="font-size: small"
                        filterBy="#{registros.id}">
                        <f:facet name="header">ID</f:facet>
                        <h:outputText value="#{registros.id}"/>
                    </p:column>

                    <p:column
                        sortBy="#{registros.descripcion}"
                        filterMatchMode="contains"
                        width="12%"
                        style="font-size: small"
                        filterBy="#{registros.descripcion}">
                        <f:facet name="header">DESCRIPCIÓN</f:facet>
                        <h:outputText value="#{registros.descripcion}"/>
                    </p:column>

                    <p:column
                       sortBy="#{registros.productor}"
                       filterMatchMode="contains"
                       width="25%"
                       style="font-size: small"
                       filterBy="#{registros.productor}">
                       <f:facet name="header">PRODUCTOR</f:facet>
                       <h:outputText value="#{registros.productor}"/>
                   </p:column>

                   <p:column
                       sortBy="#{registros.monto * registros.tipo}"
                       filterMatchMode="contains"
                       width="10%"
                       style="font-size: small; text-align:right" 
                       filterBy="#{registros.monto}" >
                       <f:facet name="header">MONTO</f:facet>
                       <h:outputText value="#{registros.monto}">
                            <f:convertNumber type="currency" currencySymbol="$" />
                        </h:outputText>

                   </p:column>

                    <p:column
                        sortBy="#{registros.fecha}"
                       filterMatchMode="contains"
                       width="20%"
                       style="font-size: small"
                       filterBy="#{registros.fecha}">
                       <f:facet name="header">FECHA</f:facet>
                       <h:outputText value="#{registros.fecha}"/>
                   </p:column>

                   <p:column
                       sortBy="#{registros.idtipopagos}"
                       filterMatchMode="contains"
                       width="25%"
                       style="font-size: small"
                       filterBy="#{registros.idtipopagos}">
                       <f:facet name="header">TIPO PAGO</f:facet>
                       <h:outputText value="#{registros.idtipopagos}"/>
                   </p:column>
                    <p:columnGroup type="footer">
                        <p:row>
                            <p:column colspan="3" style="text-align:right" footerText="Totales:" />
                            <p:column footerText="\$#{pagosMB.monto}" style="text-align:right" /> 
                        </p:row>
                    </p:columnGroup>
                    
                </p:dataTable>
            <br/>
        <p:panel header="Exportar Datos">
            <h:commandLink> 
                <p:graphicImage value="../../../resources/images/excel.png" />
                <p:dataExporter type="xls" postProcessor="#{manager.postProcessXLS}"
                    target="detalletbl" fileName="myexcel" />
            </h:commandLink>
            <h:commandLink>
                <p:graphicImage value="../../../resources/images/pdf.png" />
                <p:dataExporter type="pdf" target="detalletbl" fileName="mypdf" />
            </h:commandLink>
        </p:panel>
        </h:form>
    </ui:define> 
</ui:composition>   
